import{s as W,n as F,o as G}from"../chunks/scheduler.389d799c.js";import{S as I,i as U,g as n,s as i,r as C,A as K,h as s,f as d,c as r,j as B,u as R,x as g,k,y as Q,a as o,v as O,d as J,t as N,w as D}from"../chunks/index.8f81d18f.js";import{H as V,E as X}from"../chunks/EditOnGithub.33306dfe.js";function Y(L){let a,q,f,w,c,v,u,P=`Hugging Face Inference Endpount comes with a default serving container which is used for all <a href="/docs/inference-endpoints/supported_tasks">supported Transformers and Sentence-Transformers tasks</a> and for <a href="/docs/inference-endpoints/guides/custom_handler">custom inference handler</a>.
The serving container takes care of serialization and deserialization of the request and response payloads based on the <code>content-type</code> and <code>accept</code> headers of the request.
That means that when you send a request with a JSON body and a <code>content-type: application/json</code> header, the serving container will deserialize the JSON payload into a Python dictionary and pass it to the inference handler and if you send
a request with a <code>accept: image/png</code> header, the serving container will serialize the response from the task/custom handler into a image.`,_,l,j="Below is a list of supported <code>content-types</code> and the deserialized payload that is passed to the inference handler.",x,p,E="<thead><tr><th>Content-Type</th> <th>Payload</th></tr></thead> <tbody><tr><td>application/json</td> <td><code>dict</code></td></tr> <tr><td>text/csv</td> <td><code>raw</code></td></tr> <tr><td>text/plain</td> <td><code>raw</code></td></tr> <tr><td>image/png</td> <td><code>binary</code></td></tr> <tr><td>image/jpeg</td> <td><code>binary</code></td></tr> <tr><td>image/jpg</td> <td><code>binary</code></td></tr> <tr><td>image/tiff</td> <td><code>binary</code></td></tr> <tr><td>image/bmp</td> <td><code>binary</code></td></tr> <tr><td>image/gif</td> <td><code>binary</code></td></tr> <tr><td>image/webp</td> <td><code>binary</code></td></tr> <tr><td>image/x-image</td> <td><code>binary</code></td></tr> <tr><td>audio/x-flac</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/flac</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/mpeg</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/x-mpeg-3</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/wave</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/wav</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/x-wav</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/ogg</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/x-audio</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/webm</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/webm;codecs=opus</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/AMR</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/amr</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/AMR-WB</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/AMR-WB+</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/m4a</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr> <tr><td>audio/x-m4a</td> <td><code>{&quot;inputs&quot;: bytes(body)}</code></td></tr></tbody>",T,m,S="Below is a list of supported <code>accept</code> headers and the serialized payload is returned.",$,y,A="<thead><tr><th>Accept</th> <th>Payload</th></tr></thead> <tbody><tr><td>application/json</td> <td><code>JSON</code></td></tr> <tr><td>text/csv</td> <td><code>raw</code></td></tr> <tr><td>text/plain</td> <td><code>raw</code></td></tr> <tr><td>image/png</td> <td><code>binary</code></td></tr> <tr><td>image/jpeg</td> <td><code>binary</code></td></tr> <tr><td>image/jpg</td> <td><code>binary</code></td></tr> <tr><td>image/tiff</td> <td><code>binary</code></td></tr> <tr><td>image/bmp</td> <td><code>binary</code></td></tr> <tr><td>image/gif</td> <td><code>binary</code></td></tr> <tr><td>image/webp</td> <td><code>binary</code></td></tr> <tr><td>image/x-image</td> <td><code>binary</code></td></tr></tbody>",z,b,M,h,H;return c=new V({props:{title:"Serialization & Deserialization for Requests",local:"serialization--deserialization-for-requests",headingTag:"h1"}}),b=new X({props:{source:"https://github.com/huggingface/hf-endpoints-documentation/blob/main/docs/source/others/serialization.mdx"}}),{c(){a=n("meta"),q=i(),f=n("p"),w=i(),C(c.$$.fragment),v=i(),u=n("p"),u.innerHTML=P,_=i(),l=n("p"),l.innerHTML=j,x=i(),p=n("table"),p.innerHTML=E,T=i(),m=n("p"),m.innerHTML=S,$=i(),y=n("table"),y.innerHTML=A,z=i(),C(b.$$.fragment),M=i(),h=n("p"),this.h()},l(t){const e=K("svelte-u9bgzb",document.head);a=s(e,"META",{name:!0,content:!0}),e.forEach(d),q=r(t),f=s(t,"P",{}),B(f).forEach(d),w=r(t),R(c.$$.fragment,t),v=r(t),u=s(t,"P",{"data-svelte-h":!0}),g(u)!=="svelte-1213y42"&&(u.innerHTML=P),_=r(t),l=s(t,"P",{"data-svelte-h":!0}),g(l)!=="svelte-46ywuy"&&(l.innerHTML=j),x=r(t),p=s(t,"TABLE",{"data-svelte-h":!0}),g(p)!=="svelte-1agffaq"&&(p.innerHTML=E),T=r(t),m=s(t,"P",{"data-svelte-h":!0}),g(m)!=="svelte-1m5j6ln"&&(m.innerHTML=S),$=r(t),y=s(t,"TABLE",{"data-svelte-h":!0}),g(y)!=="svelte-79p974"&&(y.innerHTML=A),z=r(t),R(b.$$.fragment,t),M=r(t),h=s(t,"P",{}),B(h).forEach(d),this.h()},h(){k(a,"name","hf:doc:metadata"),k(a,"content",Z)},m(t,e){Q(document.head,a),o(t,q,e),o(t,f,e),o(t,w,e),O(c,t,e),o(t,v,e),o(t,u,e),o(t,_,e),o(t,l,e),o(t,x,e),o(t,p,e),o(t,T,e),o(t,m,e),o(t,$,e),o(t,y,e),o(t,z,e),O(b,t,e),o(t,M,e),o(t,h,e),H=!0},p:F,i(t){H||(J(c.$$.fragment,t),J(b.$$.fragment,t),H=!0)},o(t){N(c.$$.fragment,t),N(b.$$.fragment,t),H=!1},d(t){t&&(d(q),d(f),d(w),d(v),d(u),d(_),d(l),d(x),d(p),d(T),d(m),d($),d(y),d(z),d(M),d(h)),d(a),D(c,t),D(b,t)}}}const Z='{"title":"Serialization & Deserialization for Requests","local":"serialization--deserialization-for-requests","sections":[],"depth":1}';function tt(L){return G(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class at extends I{constructor(a){super(),U(this,a,tt,Y,W,{})}}export{at as component};
